Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1367741

Summary: Duplicate mount point appeared in anaconda interactive installation page
Product: Red Hat Enterprise Linux 7 Reporter: cshao <cshao>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Release Test Team <release-test-team>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 7.2CC: bugs, dguo, fdeutsch, huzhao, jiawu, jstodola, leiwang, rbarry, weiwang, yaniwang, ycui, yzhao
Target Milestone: pre-dev-freeze   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 15:41:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1329957    
Attachments:
Description Flags
mount-point
none
del-mount-point none

Description cshao 2016-08-17 11:09:38 UTC
Created attachment 1191574 [details]
mount-point

Description of problem:
Duplicate mount point appeared in anaconda interactive installation page.


Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.0-20160816.0.x86_64
imgbased-0.8.4-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Anaconda interactive installation RHVH via ISO with default ks.
2. Create partition manually.
3. Finish the installation with correct steps.
4. Reinstall RHVH via anaconda interactive installation again.
5. Create partition manually.
6. Focus on mount points.
7. Remove mount point.


Actual results:
There are 4 minor issues on the installation page need to fix.
1. After step 6, Duplicate mount point appeared in anaconda interactive installation page.

2. After step 6, The name of mount point is incorrect.

3. After step 7, "Delete all other file systems in the Red Hat Enterprise Linux Linux(dup linux?) 7.2 for x86_64 root as well".

4. Unknown mount point appear.


Expected results:
1. After step 6, No duplicate mount point appeared in anaconda interactive installation page.

2. After step 6, The name of mount point should be "Red Hat Virtualization Host 4.0 (el7.2)".

3. After step 7, "Delete all other file systems in the "Red Hat Virtualization Host 4.0 ( el7.2)" root as well".

4. After step 6, set a correct name for the unknown mount point.



Additional info:
All of above issues just UI issue, no function affect.

Comment 1 cshao 2016-08-17 11:10:07 UTC
Created attachment 1191575 [details]
del-mount-point

Comment 2 Fabian Deutsch 2016-08-18 13:56:18 UTC
I am not sure what the right behavior is, but moving to anaconda.

Comment 5 Red Hat Bugzilla Rules Engine 2017-08-08 15:41:20 UTC
Quality Engineering Management has reviewed and declined this request. You may appeal this decision by reopening this request.